package com.xtd.project.assets.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.xtd.framework.aspectj.lang.annotation.Excel;
import com.xtd.framework.web.domain.BaseEntity;
import java.util.Date;

/**
 * 资产入库对象 db_assets_stock_in
 *
 * @author xtd
 * @date 2020-04-09
 */
public class DbAssetsStockIn extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long aId;

    /** 资产编号 */
    @Excel(name = "资产编号")
    private String aNumber;

    /** 资产名称 */
    @Excel(name = "资产名称")
    private String aName;

    /** 入库类型  */
    @Excel(name = "入库类型 ")
    private Long storageType;

    /** 入库时间 */
    @Excel(name = "入库时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date wareTime;

    /** 资产类型 */
    @Excel(name = "资产类型")
    private Long dbMaterielId;

    /** 供应商 */
    @Excel(name = "供应商")
    private Long dbSupplierId;

    /** 规格型号 */
    @Excel(name = "规格型号")
    private String specType;

    /** 制单人 id */
    @Excel(name = "制单人 id")
    private Long sysUserId;

    /** 制单人*/
    @Excel(name = "制单人 ")
    private String sysUser;


    /** 流程id */
    @Excel(name = "流程id")
    private String instanceId;
    /**
     * 任务id
     */
    private String taskId;

    /** 保质期 */
    @Excel(name = "保质期")
    private Integer shelf;

    /** 保质期开始 */
    @Excel(name = "保质期开始", width = 30, dateFormat = "yyyy-MM-dd")
    private Date shelfLifeStart;

    /** 保质期结束 */
    @Excel(name = "保质期结束", width = 30, dateFormat = "yyyy-MM-dd")
    private Date shelfLifeEnd;

    /** 状态 */
    @Excel(name = "状态")
    private Integer state;

    public void setaId(Long aId)
    {
        this.aId = aId;
    }

    public Long getaId()
    {
        return aId;
    }
    public void setaNumber(String aNumber)
    {
        this.aNumber = aNumber;
    }

    public String getaNumber()
    {
        return aNumber;
    }
    public void setaName(String aName)
    {
        this.aName = aName;
    }

    public String getaName()
    {
        return aName;
    }
    public void setStorageType(Long storageType)
    {
        this.storageType = storageType;
    }

    public Long getStorageType()
    {
        return storageType;
    }
    public void setWareTime(Date wareTime)
    {
        this.wareTime = wareTime;
    }

    public Date getWareTime()
    {
        return wareTime;
    }
    public void setDbMaterielId(Long dbMaterielId)
    {
        this.dbMaterielId = dbMaterielId;
    }

    public Long getDbMaterielId()
    {
        return dbMaterielId;
    }
    public void setDbSupplierId(Long dbSupplierId)
    {
        this.dbSupplierId = dbSupplierId;
    }

    public Long getDbSupplierId()
    {
        return dbSupplierId;
    }
    public void setSpecType(String specType)
    {
        this.specType = specType;
    }

    public String getSpecType()
    {
        return specType;
    }
    public void setSysUserId(Long sysUserId)
    {
        this.sysUserId = sysUserId;
    }

    public Long getSysUserId()
    {
        return sysUserId;
    }
    public void setInstanceId(String instanceId)
    {
        this.instanceId = instanceId;
    }

    public String getInstanceId()
    {
        return instanceId;
    }
    public void setShelf(Integer shelf)
    {
        this.shelf = shelf;
    }

    public Integer getShelf()
    {
        return shelf;
    }
    public void setShelfLifeStart(Date shelfLifeStart)
    {
        this.shelfLifeStart = shelfLifeStart;
    }

    public Date getShelfLifeStart()
    {
        return shelfLifeStart;
    }
    public void setShelfLifeEnd(Date shelfLifeEnd)
    {
        this.shelfLifeEnd = shelfLifeEnd;
    }

    public Date getShelfLifeEnd()
    {
        return shelfLifeEnd;
    }
    public void setState(Integer state)
    {
        this.state = state;
    }

    public Integer getState()
    {
        return state;
    }


    public String getTaskId() {
        return taskId;
    }

    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }

    public String getSysUser() {
        return sysUser;
    }

    public void setSysUser(String sysUser) {
        this.sysUser = sysUser;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("aId", getaId())
            .append("aNumber", getaNumber())
            .append("aName", getaName())
            .append("storageType", getStorageType())
            .append("wareTime", getWareTime())
            .append("dbMaterielId", getDbMaterielId())
            .append("dbSupplierId", getDbSupplierId())
            .append("specType", getSpecType())
            .append("sysUserId", getSysUserId())
            .append("remark", getRemark())
            .append("instanceId", getInstanceId())
            .append("shelf", getShelf())
            .append("shelfLifeStart", getShelfLifeStart())
            .append("shelfLifeEnd", getShelfLifeEnd())
            .append("state", getState())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
